#
# spec file for package perl-PPI
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name PPI
Name:           perl-PPI
Version:        1.283.0
Release:        1.1
# 1.283 -> normalize -> 1.283.0
%define cpan_version 1.283
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Parse, Analyze and Manipulate Perl (without perl)
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MITHALDU/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Inspector) >= 1.220
BuildRequires:  perl(Clone) >= 0.300
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Params::Util) >= 1.0.0
BuildRequires:  perl(Safe::Isa)
BuildRequires:  perl(Storable) >= 2.17
BuildRequires:  perl(Task::Weaken)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Object) >= 0.70.0
BuildRequires:  perl(Test::SubCalls) >= 1.70.0
BuildRequires:  perl(YAML::PP)
BuildRequires:  perl(parent)
BuildRequires:  perl(version) >= 0.77
Requires:       perl(Clone) >= 0.300
Requires:       perl(List::Util) >= 1.33
Requires:       perl(Params::Util) >= 1.0.0
Requires:       perl(Safe::Isa)
Requires:       perl(Storable) >= 2.17
Requires:       perl(Task::Weaken)
Requires:       perl(YAML::PP)
Requires:       perl(version) >= 0.77
Provides:       perl(PPI) = %{version}
Provides:       perl(PPI::Cache) = %{version}
Provides:       perl(PPI::Document) = %{version}
Provides:       perl(PPI::Document::File) = %{version}
Provides:       perl(PPI::Document::Fragment) = %{version}
Provides:       perl(PPI::Document::Normalized) = %{version}
Provides:       perl(PPI::Dumper) = %{version}
Provides:       perl(PPI::Element) = %{version}
Provides:       perl(PPI::Exception) = %{version}
Provides:       perl(PPI::Exception::ParserRejection) = %{version}
Provides:       perl(PPI::Find) = %{version}
Provides:       perl(PPI::Lexer) = %{version}
Provides:       perl(PPI::Node) = %{version}
Provides:       perl(PPI::Normal) = %{version}
Provides:       perl(PPI::Normal::Standard) = %{version}
Provides:       perl(PPI::Singletons) = %{version}
Provides:       perl(PPI::Statement) = %{version}
Provides:       perl(PPI::Statement::Break) = %{version}
Provides:       perl(PPI::Statement::Compound) = %{version}
Provides:       perl(PPI::Statement::Data) = %{version}
Provides:       perl(PPI::Statement::End) = %{version}
Provides:       perl(PPI::Statement::Expression) = %{version}
Provides:       perl(PPI::Statement::Given) = %{version}
Provides:       perl(PPI::Statement::Include) = %{version}
Provides:       perl(PPI::Statement::Include::Perl6) = %{version}
Provides:       perl(PPI::Statement::Null) = %{version}
Provides:       perl(PPI::Statement::Package) = %{version}
Provides:       perl(PPI::Statement::Scheduled) = %{version}
Provides:       perl(PPI::Statement::Sub) = %{version}
Provides:       perl(PPI::Statement::Unknown) = %{version}
Provides:       perl(PPI::Statement::UnmatchedBrace) = %{version}
Provides:       perl(PPI::Statement::Variable) = %{version}
Provides:       perl(PPI::Statement::When) = %{version}
Provides:       perl(PPI::Structure) = %{version}
Provides:       perl(PPI::Structure::Block) = %{version}
Provides:       perl(PPI::Structure::Condition) = %{version}
Provides:       perl(PPI::Structure::Constructor) = %{version}
Provides:       perl(PPI::Structure::For) = %{version}
Provides:       perl(PPI::Structure::Given) = %{version}
Provides:       perl(PPI::Structure::List) = %{version}
Provides:       perl(PPI::Structure::Signature) = %{version}
Provides:       perl(PPI::Structure::Subscript) = %{version}
Provides:       perl(PPI::Structure::Unknown) = %{version}
Provides:       perl(PPI::Structure::When) = %{version}
Provides:       perl(PPI::Token) = %{version}
Provides:       perl(PPI::Token::ArrayIndex) = %{version}
Provides:       perl(PPI::Token::Attribute) = %{version}
Provides:       perl(PPI::Token::BOM) = %{version}
Provides:       perl(PPI::Token::Cast) = %{version}
Provides:       perl(PPI::Token::Comment) = %{version}
Provides:       perl(PPI::Token::DashedWord) = %{version}
Provides:       perl(PPI::Token::Data) = %{version}
Provides:       perl(PPI::Token::End) = %{version}
Provides:       perl(PPI::Token::HereDoc) = %{version}
Provides:       perl(PPI::Token::Label) = %{version}
Provides:       perl(PPI::Token::Magic) = %{version}
Provides:       perl(PPI::Token::Number) = %{version}
Provides:       perl(PPI::Token::Number::Binary) = %{version}
Provides:       perl(PPI::Token::Number::Exp) = %{version}
Provides:       perl(PPI::Token::Number::Float) = %{version}
Provides:       perl(PPI::Token::Number::Hex) = %{version}
Provides:       perl(PPI::Token::Number::Octal) = %{version}
Provides:       perl(PPI::Token::Number::Version) = %{version}
Provides:       perl(PPI::Token::Operator) = %{version}
Provides:       perl(PPI::Token::Pod) = %{version}
Provides:       perl(PPI::Token::Prototype) = %{version}
Provides:       perl(PPI::Token::Quote) = %{version}
Provides:       perl(PPI::Token::Quote::Double) = %{version}
Provides:       perl(PPI::Token::Quote::Interpolate) = %{version}
Provides:       perl(PPI::Token::Quote::Literal) = %{version}
Provides:       perl(PPI::Token::Quote::Single) = %{version}
Provides:       perl(PPI::Token::QuoteLike) = %{version}
Provides:       perl(PPI::Token::QuoteLike::Backtick) = %{version}
Provides:       perl(PPI::Token::QuoteLike::Command) = %{version}
Provides:       perl(PPI::Token::QuoteLike::Readline) = %{version}
Provides:       perl(PPI::Token::QuoteLike::Regexp) = %{version}
Provides:       perl(PPI::Token::QuoteLike::Words) = %{version}
Provides:       perl(PPI::Token::Regexp) = %{version}
Provides:       perl(PPI::Token::Regexp::Match) = %{version}
Provides:       perl(PPI::Token::Regexp::Substitute) = %{version}
Provides:       perl(PPI::Token::Regexp::Transliterate) = %{version}
Provides:       perl(PPI::Token::Separator) = %{version}
Provides:       perl(PPI::Token::Structure) = %{version}
Provides:       perl(PPI::Token::Symbol) = %{version}
Provides:       perl(PPI::Token::Unknown) = %{version}
Provides:       perl(PPI::Token::Whitespace) = %{version}
Provides:       perl(PPI::Token::Word) = %{version}
Provides:       perl(PPI::Tokenizer) = %{version}
Provides:       perl(PPI::Transform) = %{version}
Provides:       perl(PPI::Transform::UpdateCopyright) = %{version}
Provides:       perl(PPI::Util) = %{version}
Provides:       perl(PPI::XSAccessor) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Parse, Analyze and Manipulate Perl (without perl)

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes dev_notes.txt README
%license LICENSE

%changelog
* Mon May  5 2025 Tina Müller <timueller+perl@suse.de>
- updated to 1.283.0 (1.283)
  see /usr/share/doc/packages/perl-PPI/Changes
  1.283   2025-05-04 09:52:43Z
  - Allow zero byte documents to have a location
  - handle simple lists in feature arg decomposing
  - warn on unknown feature arg decompose instead of die
* Sat Dec 28 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.281.0 (1.281)
  see /usr/share/doc/packages/perl-PPI/Changes
  1.281   2024-12-27 14:44:47Z
  Summary:
  - Implement support for signatures and other parsing features
  Details:
  - Framework for recognition of parsing feature activation via:
  - `use $PERL_VERSION` in code
  - `use feature` in code
  - `use $Common::CPAN::Module` in code
  - PPI::Document->new( feature_mods => ... )
  - PPI::Document->new( custom_feature_includes => ... )
  - PPI::Document->new( custom_feature_include_cb => ... )
  - $ENV{PPI_CUSTOM_FEATURE_INCLUDES}
  - Added ability to parse features:
  - signatures, as PPI::Structure::Signature
  - try catch, as PPI::Statement::Compound
* Sun Sep  1 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.279.0 (1.279)
  see /usr/share/doc/packages/perl-PPI/Changes
  1.279   2024-08-23 14:02:44Z
  Summary:
  - Implemented a cache to speed up sibling iteration
  (GH#287) (Graham Knop (haarg))
* Fri Mar 22 2024 Tina Müller <timueller+perl@suse.de>
- updated to 1.278
  see /usr/share/doc/packages/perl-PPI/Changes
  1.278   2024-03-11 02:20:06Z
  - Add support for new octal number syntax (GH#295) (Branislav Branislav
    Zahradník)
* Fri Mar  8 2024 Tina Müller <tina.mueller@suse.com>
- Fix disabling of __perllib_provides
* Sat Sep 23 2023 Tina Müller <timueller+perl@suse.de>
- updated to 1.277
  see /usr/share/doc/packages/perl-PPI/Changes
  1.277   2023-09-22 09:12:48Z
  Summary:
  - Parse prototypes as literal quotes, enables parens and newlines in protos
  - Fix false positive detection of labels (GH#289) (Dan Church)
  Details:
  - Wrapped most Document->new calls in tests with automatic checks
* Wed Jul 20 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.276
  see /usr/share/doc/packages/perl-PPI/Changes
  1.276   2022-07-19 21:43:50Z
  Summary:
  - Implement Replace Method (GH#274) (Renee and Olaf Alders)
  1.275   2022-07-18 19:42:13Z
  Summary:
  - CHECK bareword handle parsed as scheduled block (GH#247) (trwyant)
* Tue May  3 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.274
  see /usr/share/doc/packages/perl-PPI/Changes
  1.274   2022-05-02 18:21:56Z
  Summary:
  - Indentation in here-docs is now preserved (GH#252) (trwyant)
* Sat Apr 23 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.273
  see /usr/share/doc/packages/perl-PPI/Changes
  1.273   2022-04-22 15:58:31Z
  Summary:
  - Whitespace in signatures is now preserved (GH#257)
* Thu Feb  3 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.272
  see /usr/share/doc/packages/perl-PPI/Changes
  1.272   2022-02-02 16:10:50Z
  Summary:
  - Drop prerequisite for IO::String on perl 5.8+
* Wed Jan 26 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.271
  see /usr/share/doc/packages/perl-PPI/Changes
  1.271   2022-01-25 21:47:21Z
  Summary:
  - return correct name for lexical subroutines
  - silence uninitialized warning in t/07_token.t
  - bump minimum Test::More version to 0.96
  - fix some typos in Pod
  - moved repository to Perl-Critic GitHub org:
  https://github.com/Perl-Critic/PPI
* Tue Jul 16 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.270
  see /usr/share/doc/packages/perl-PPI/Changes
  1.270   2019-07-09 15:14:57Z
  Summary:
  - attempt to handle new blead binary/hexadecimal parsing behavior in tests
* Sun May 19 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.269
  see /usr/share/doc/packages/perl-PPI/Changes
  1.269   2019-05-17 18:36:46Z
  Summary:
  - many small documentation improvements
  1.268   2019-05-16 10:00:39Z
  Summary:
  - fix a broken link in the pod
  1.267   2019-05-16 09:22:34Z
  Summary:
  - make PPI::Test::Run more OS-agnostic
  1.266   2019-05-15 16:17:49Z
  Summary:
  - keep heredoc terminator detection from triggering regex errors
  - small cleanups
  Details:
  - make the output of PPI::Test::Run more useful
  - remove a superfluous import
* Wed May 15 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.265
  see /usr/share/doc/packages/perl-PPI/Changes
  1.265   2019-05-14 12:39:51Z
  Summary:
  - simplified a code construct
* Mon May  6 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.264
  see /usr/share/doc/packages/perl-PPI/Changes
  1.264   2019-04-28 14:56:28Z
  Summary:
  - keep vstring processing from swallowing underscores
  1.262   2019-04-28 11:41:54Z
  Summary:
  - convert newlines in some raw test files from win32 to unix
  1.260   2019-04-28 11:10:02Z
  Summary:
  - allow underscores in vstrings
* Sun Apr 28 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.258
  see /usr/share/doc/packages/perl-PPI/Changes
  1.258   2019-04-27 17:05:33Z
  Summary:
  - remove accidentally included Test::InDistDir
  1.256   2019-04-26 16:40:01Z
  Summary:
  - allow all PPI::Document instances to have a filename attribute
  1.254   2019-04-26 16:23:21Z
  Summary:
  - recognize `for (;<$foo>;) {}` as containing a readline operator
  1.252   2019-04-26 14:21:36Z
  Summary:
  - add support for the double diamond (<<>>) input operator
  - adjust position of a todo marker to not catch a passing test
* Fri Apr 26 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.250
  see /usr/share/doc/packages/perl-PPI/Changes
  1.250   2019-04-25 16:43:32Z
  Summary:
  - various smaller releng changes
  Details:
  - removed dependency on File::Remove
  - add some tests including a TODO test for misparse bug on '(1)-1'
  - allow tests to run without pre-determined module versions
  - add travis-perl helper to be run before install
  - update versions of Perl Travis tests on
  1.248   2019-04-25 16:08:08Z
  Summary:
  - parse list-embedded curlies as hash constructors
  1.246   2019-04-25 15:33:48Z
  Summary:
  - support indented here-docs
  - fixed some typos
  1.244   2019-04-25 15:21:51Z
  Summary:
  - support key-value and index-value slices in PPI::Token::Symbol symbol method
  1.242   2019-04-25 14:33:56Z
  Summary:
  - keep exponents of 2 or more zeroes from trapping PPI in an endless loop
  1.240   2019-04-25 14:09:24Z
  Summary:
  - add support for lexical subroutines from perl-5.26
  1.238   2019-04-25 12:03:37Z
  Summary:
  - only release engineering, moved to Dist::Zilla, straightened out
  dependencies and fixed some formatting in Changes
  1.237_001 Wed 15 Nov 2017
  Summary:
  - support postfix dereference
  - remove dependencies on vars, base and List::MoreUtils
  - reduce globals and cross-package variables
  - make xt/api.t skip/run properly
  Details:
  - convert many cross-package var accesses to var imports
  - convert several unnecessary globals to local variables
* Mon Jun 26 2017 coolo@suse.com
- updated to 1.236
  see /usr/share/doc/packages/perl-PPI/Changes
* Thu Jun 22 2017 coolo@suse.com
- updated to 1.234
  see /usr/share/doc/packages/perl-PPI/Changes
  1.234 Sun 21 June 2017
  Summary:
  - Prevent sub names like v10 from being version strings
  (GitHub #65) (MOREGAN)
  1.232 Sun 21 June 2017
  Summary:
  - add Changes entries forgotten in 1.230
  1.230 Sun 21 June 2017
  Summary:
  - remove temporary fix introduced in 1.226
  - prevent possible regex on undefined scalar in
  __current_token_is_forced_word
* Wed Jun 21 2017 coolo@suse.com
- updated to 1.228
  see /usr/share/doc/packages/perl-PPI/Changes
  1.228 Sun 20 June 2017
  Summary:
  - keep PPI::Dumper from breaking Perl::Critic under cperl 5.27
    (RURBAN)
  1.226 Sun 20 June 2017
  Summary:
  - Fix test reliance on '.' in @INC (KENTNL)
  - temporary fix to keep an untested combination from blocking
  Perl::Critic (https://github.com/chriscapaci)
* Tue May 16 2017 coolo@suse.com
- updated to 1.224
  see /usr/share/doc/packages/perl-PPI/Changes
  1.224 Sun 14 May 2017
  Summary:
  - updating an out-of-date meta.yml caused by Module::Install
  1.222 Sun 14 May 2017
  Summary:
  - unit tests for many parts, both passing and TODO
  - many documentation fixes
  - add ->version method to PPI::Statement::Package (WOLFSAGE)
  - remove unused PPI::Document->new timeout feature
  - do not expect '.' in @INC (PLICEASE)
  - many parsing fixes
  - various fixes to the behaviors of methods
  - removal of problematic dependencies
  Details:
  - Remove undocumented, non-working 'timeout' attribute to
  Document->new, including HAVE_ALARM and
  PPI::Exception::ParserTimeout.  (GitHub #140) (MOREGAN)
  - first cut of a travis configuration
  - do hex number matching with [[:xdigit:]]
  - some readability improvements on the code of HereDoc.pm
  - recognize heredoc even if they have no newline at the end (AUBERTG)
  - parse left side of => as bareword even if it looks like a keyword or
  op (MOREGAN)
  - remove source code escapes in the output of QuoteLike::Words->literal
  (MOREGAN)
  - removal of Test::NoWarnings
  - less uses of List::MoreUtils in favor of List::Util
  - expand $'x to $::main::x in Symbol->canonical as with $::x
  (MOREGAN)
  - fixed parsing of large numbers in Number::Exp on Solaris 80 (JMASLAK)
  - make remove_child actually return undef on failure to find child to
  remove
  - higher accuracy when deciding whether certain characters are operators
  or variable type casts (*&%% etc.) (MOREGAN)
  - parse x as the first element of code as a word, not an operator
  (MOREGAN)
  - recognize the implied end of a package statement that includes a block
  (MOREGAN)
  - parse package names that look like operators as strings, not ops
  (MOREGAN)
  - parse package names that look like v10 as strings, not versions
  (MOREGAN)
  - parse things like v49use as a single bareword, not v-string + keyword
  (MOREGAN)
  - parse x64 as a word, not x operator + number (MOREGAN)
  - parse 1.eq 1 as float + op, not concatenation
  - parse subroutine attributes correctly (MOREGAN)
* Wed Apr 29 2015 coolo@suse.com
- ignore File::Spec - it's tricky
* Wed Apr 29 2015 coolo@suse.com
- updated to 1.220
  see /usr/share/doc/packages/perl-PPI/Changes
  1.220 Tue 11 Nov 2014
  Summary:
  - incompatible behavior fixes on PPI::Statement::Sub->prototype
  - improved parsing of various syntax elements
  - code quality improvements
  - various small documentation fixes
  Details:
  - {} is now recognized as anonymous hash constructor instead of a code
  block after these operators: &&= //= || && // ? :
  (GitHub #36) (MOREGAN)
  - regex capture variables greater than $9 are now parsed completely,
  instead of being parsed as single digit captures with numbers after
  them (GitHub #38) (MOREGAN)
  - DESTROY and AUTOLOAD subs are now parsed even without the sub
  keyword (GitHub #39) (MOREGAN)
  - PPI::Statement::Sub->prototype behavior now matches its
  documentation, instead of returning the prototype string
  unchanged and still including the parens (GitHub #56) (MOREGAN)
  - PPI::Statement::Sub->prototype now returns undef on subs without a
  prototype, instead of returning an empty string
  (GitHub #56) (MOREGAN)
  - list of keywords which are not parsed as packages when followed by
  the Perl4 package separator ' has been increased
  (GitHub #77) (MOREGAN)
  - application of a number of Perl::Critic policies and documentation
  fixes (GitHub #53) (MOREGAN, MITHALDU)
  - automation of README.md generation for git (GitHub #86) (COWENS)
  - various small documentation fixes (Github #96) (MOREGAN)
* Mon Sep 15 2014 coolo@suse.com
- updated to 1.218
    Summary:
  - Fixes for various parsing and documentation bugs
  - 1MB limit on input document size removed
  - Moved repository to GitHub: https://github.com/adamkennedy/PPI
    Details:
  - Stop directing bugs to rt.cpan.org (GitHub #40) (MOREGAN)
  - Fix documentation reference to List::Util (RT #75308) (RWSTAUNER)
  - Improve scalability of parsing long lines, and remove the size
    limit on documents PPI will parse (GitHub #5) (MITHALDU)
  - Speed up adding an element to an unlabeled statement.
    Allow inlining of some methods. (WOLFSAGE)
  - Expanded test coverage (DOLMEN, MOREGAN)
  - Convert inline tests to standalone tests (GitHub #12) (MOREGAN)
  - Fix for '1=>x' being parsed as x operator (GitHub #46) (MOREGAN)
  - Recognize that '1 x3' is the x operator followed by a 3
    (RT #37892, GitHub #27) (MOREGAN)
  - Support all augmented assignment operators (<<=, ||=, etc.)
    (RT #68176, 71705) (MOREGAN)
  - Stop upper-case "=CUT" from terminating POD (RT #75039) (JAE)
  - Support upper-case digits in hex and binary numbers, including
    in the leading '0X' and '0B'. (RT #36540) (KRYDE, MOREGAN)
  - Fix float argument to range operator misparsed as version
    string (RT #45014) (MOREGAN)
  - Fix POD markup in PPI::Find (RT #51693) (FWIE)
  - Fix spelling of "Tom Christiansen" (RT #67264) (TADMC)
  - Fix a large raft of spelling and grammar errors (RT #85049) (David
    Steinbrunner, DOLMEN, MOREGAN)
  - Fix errors in documentation of the PPI::Element class hierarchy
    (RT #30863, 69026) (SJQUINNEY)
  - Prevent PPI::XSAccessor packages from hiding corresponding PPI
    packages in CPAN (RT #90792) (MITHALDU)
  - Recognize the formfeed character as whitespace (RT #67517) (WYANT)
  - Recognize regex match following 'return' (RT #27475) (ADAMK)
  - Fix missing dereference, length called on reference (RT #40103)
    (ADAMK)
* Thu Mar 31 2011 coolo@novell.com
  * update to 1.215
  - Confirmed new Perl::Critic works with 1.214_02, so we
    can release a new PPI now.
  - Updated copyright year to 2011 (ADAMK)
  - Fixed RT #64247 bless {} probably contains a hash constructor (WYANT)
  - Backed out glob fix (WYANT)
  - Fixed RT #65199 Cast can trump braces in
    PPI::Token::Symbol->symbol (WYANT)
  - index_locations on an empty document no longer warns (WYANT)
  - Corrected a bug in line-spanning attribute support (WYANT)
  - Regression test for line-spanning attribute support (ADAMK)
  - Fixed #61305 return { foo => 1 } should parse curlys as hash
    constructor, not block (WYANT)
  - Fixed #63943 map and regexp confuse PPI? (ADAMK)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 13 2010 chris@computersalat.de
  update to 1.213
  o for a full list see Changes file
- recreated by cpanspec 1.78
* Wed Oct 21 2009 rschweikert@novell.com
- Initial build
